Subject: bug#11865: Fwd: Re: 24.1.50; doxygen comments not highlighted in c++-mode

From: Toon Claes <[email-masked]>
Date: Fri, 26 Feb 2016 09:03:27 +0100

Hi,

I do not really agree.

Let me explain in detail.
Only comment blocks like the following were recognized as gtkdoc:
/**
 * This is the gtkdoc comment
 */

I wanted also gtkdoc styling to be applied to:
/** This should be gtkdoc comment too */

I admit, the regexp I wrote back in the day was not correctly escaped.
But I was trying to achieve comments with 3 or more asterisks would not get styled like gtkdoc comments.

Gr,
Toon

> On 26 Feb 2016, at 04:37, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> Toon Claes <[email-masked]> writes:
> 
>> (defconst gtkdoc-font-lock-keywords
>> `((,(lambda (limit)
>> - (c-font-lock-doc-comments "/**$" limit
>> + (c-font-lock-doc-comments "/**([^*/].*)?$" limit
> 
> Can this be correct, though?  It would mean that /** foo / **/ wouldn't
> be a comment...  and anyway, the /** is invalid as a regexp, anyway.
> 
> The current code looks like
> 
> (defconst gtkdoc-font-lock-keywords
>  `((,(lambda (limit)
> 	(c-font-lock-doc-comments "/\\*\\*$" limit
> 	  gtkdoc-font-lock-doc-comments)
> 	(c-font-lock-doc-comments "/\\*< " limit
> 	  gtkdoc-font-lock-doc-protection)
> 	))))
> 
> Which looks more correct anyway.  So I think this has already been fixed
> in a different manner, and I'm closing this bug report.
> 
> --
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no